Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Installation failure #146

Closed
meltser opened this Issue Nov 3, 2013 · 2 comments

Comments

Projects
None yet
3 participants

meltser commented Nov 3, 2013

npm install fibers
npm http GET https://registry.npmjs.org/fibers
npm http 304 https://registry.npmjs.org/fibers

node ./build.js

make: Entering directory
CXX(target) Release/obj.target/fibers/src/fibers.o
CXX(target) Release/obj.target/fibers/src/coroutine.o
CC(target) Release/obj.target/fibers/src/libcoro/coro.o
SOLINK_MODULE(target) Release/obj.target/fibers.node
/usr/lib64/gcc/x86_64-suse-linux/4.7/../../../../x86_64-suse-linux/bin/ld: cannot find -lv8
collect2: error: ld returned 1 exit status
make: *** [Release/obj.target/fibers.node] Error 1
gyp ERR! build error
gyp ERR! stack Error: make failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/lib64/node_modules/npm/node_modules/node-gyp/lib/build.js:236:23)
gyp ERR! stack at ChildProcess.EventEmitter.emit (events.js:96:17)
gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:678:10)
gyp ERR! System Linux 3.4.47-2.38-desktop
gyp ERR! command "node" "/usr/lib64/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! node -v v0.8.12
gyp ERR! node-gyp -v v0.7.0
gyp ERR! not ok
Build failed
npm ERR! fibers@1.0.1 install: node ./build.js
npm ERR! sh "-c" "node ./build.js" failed with 1
npm ERR!
npm ERR! Failed at the fibers@1.0.1 install script.
npm ERR! This is most likely a problem with the fibers package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node ./build.js
npm ERR! You can get their info via:
npm ERR! npm owner ls fibers
npm ERR! There is likely additional logging output above.

npm ERR! System Linux 3.4.47-2.38-desktop
npm ERR! command "/usr/bin/node" "/usr/bin/npm" "install" "fibers"
npm ERR! node -v v0.8.12
npm ERR! npm -v 1.1.63
npm ERR! code ELIFECYCLE
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! not ok code 0

Running on openSuse 12.2
Any idea how to fix it? Thanks.

smirea commented Apr 1, 2014

bump. This issue is still happening. Any update?

Owner

laverdet commented Dec 17, 2014

Seems like you need to install some development packages on your OS. Also you could try using the latest node 0.10.x release, for which fibers has a ready-to-use binary.

@laverdet laverdet closed this Dec 17, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment